Subject: [PATCH v7 3/5] Documentation: Add documentation for the APM X-Gene SoC EDAC DTS binding

From: [email-masked] (Borislav Petkov)
Date: Thu, 30 Apr 2015 00:08:30 +0200

On Wed, Apr 29, 2015 at 02:56:25PM -0700, Loc Ho wrote:
> Hi,
> 
> >> > Similar comments for the rest. I would define memory controller
> >> > bindings and EDAC driver, then worry about the rest.
> >>
> >> Okay.. As comment in following emails, I will break up the driver into
> >> multiple drivers and focus only on the memory controller driver first.
> >
> > Please no multiple EDAC drivers. Or do you mean something else here?
> 
> We will have the following:
> 
> xgene-edac-mc.c
> xgene-edac-pmd.c
> xgene-edac-l3.c
> xgene-edac-soc.c
> 
> Or what would you suggest.

xgene-edac.c

This granularity is insane. On x86 we have single EDAC drivers for
multiple CPU families and platforms.

You can start carving out stuff when this is absolutely needed, i.e.
when an IP block is in multiple hw incarnations. And even then I'd be
sceptical and would really want to know whether it is even worth it to
have an EDAC module for it.

So let's be conservative please.

-- 
Regards/Gruss,
    Boris.

ECO tip #101: Trim your mails when you reply.
--